Bug 3369 - Samba does not reestablish the connection to the MySQL server after loss
Summary: Samba does not reestablish the connection to the MySQL server after loss
Status: RESOLVED WONTFIX
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: pdb_sql (show other bugs)
Version: 3.0.20b
Hardware: x64 Linux
: P3 major
Target Milestone: none
Assignee: pdb_sql maintainers mail alias
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-03 14:32 UTC by Mario Lipinski
Modified: 2006-02-10 08:42 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Lipinski 2006-01-03 14:32:15 UTC
When Samba looses the connection to the MySQL database server the connection is not reestablished which guides to broken authentication.

Since this happens (i think not only for me) every night when MySQL is restarted by logrotate this issue should be fixed soon.
Comment 1 Darrell McGuire 2006-01-04 19:38:40 UTC
Working on this; seems like cache issue, but new to the code.  Sorry if it takes me a little while.

-Darrell
Comment 2 Mario Lipinski 2006-01-12 16:20:03 UTC
Are you getting forward?
Comment 3 Gerald (Jerry) Carter 2006-02-10 08:42:09 UTC
See bug 3375.  If someone wants to maintain these modules outside
the Samba source tree, that is fine.  But the source has been removed
from the upcoming 3.0.22 release.